<div class="background" id="background-animation"></div>

<div class="wrapper">
  <div class="padl"></div>

  <div class="top">
    <div class="control-wrapper">
      <div class="control-item">
        <form #f="ngForm" (ngSubmit)="onSubmit(f)">
          <input
            name="search"
            id="search"
            [(ngModel)]="search"
            type="text"
            required
          />
        </form>
      </div>
      <div class="control-item">
        <div class="control-button">
          <i class="material-icons" (click)="openQuestions()">help</i>
        </div>
      </div>
      <div class="control-item">
        <div class="control-button last">
          <i class="material-icons" (click)="toggleSettings()">settings</i>
        </div>
      </div>
    </div>
  </div>

  <div id="toolbar" class="toolbar">
    <div class="toolbar-contents" *ngIf="showSettings">
      <div class="switch-holder">
        <label class="switch">
          <input type="checkbox" [(ngModel)]="showPublished" name="published" />
          <span class="slider round"></span>
        </label>
        Published
      </div>
      <div class="switch-holder">
        <label class="switch">
          <input type="checkbox" [(ngModel)]="showCode" name="code" />
          <span class="slider round"></span>
        </label>
        Code
      </div>
      <div class="switch-holder">
        <label class="switch">
          <input type="checkbox" [(ngModel)]="showBible" name="bible" />
          <span class="slider round"></span>
        </label>
        Bible
      </div>
      <div class="switch-holder">
        <label class="switch">
          <input type="checkbox" [(ngModel)]="showVerse" name="verse" />
          <span class="slider round"></span>
        </label>
        Verse
      </div>
      <!-- <div class="switch-holder">
        <label class="switch">
          <input type="checkbox" [(ngModel)]="showNote" name="note" />
          <span class="slider round"></span>
        </label>
        Note
      </div> -->
      <div class="switch-holder">
        <label class="switch">
          <input
            type="checkbox"
            [(ngModel)]="showBackground"
            name="background"
            (change)="p5.toggleState()"
          />
          <span class="slider round"></span>
        </label>
        Background
      </div>
    </div>
  </div>
  <div class="bottom">
    <div cdkDropList class="example-list" (cdkDropListDropped)="drop($event)">
      <div class="example-box" *ngFor="let item of tableData" cdkDrag>
        <table>
          <tr [@stagger]="tableData" *ngIf="item.verse">
            <td style="width:4em; text-align: left" *ngIf="showPublished">
              {{ item.published | date: "yyyy" }}
            </td>
            <td style="width:4em; text-align: left" *ngIf="showCode">
              {{ item.code }}
            </td>
            <td style="width:14em; text-align: center" *ngIf="showBible">
              {{ item.bible }}
            </td>
            <td style="padding-left: 2em; text-align: left" *ngIf="showVerse">
              <span class="verse" [innerHTML]="item.verse"></span>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>

  <div id="questions" class="questions-overlay">
    <i
      href="javascript:void(0)"
      class="material-icons questions-overlay-closebtn"
      (click)="closeQuestions()"
      >cancel</i
    >

    <div class="questions-overlay-content" *ngIf="showQuestions">
      <hr />
      <h2>Feature List (November 2018)</h2>
      <ul style="text-align: left">
        <li>
          This interface allows you to compare bible verses across many
          different translations with ease. Type a query in the format
          <span style="color:#DB5959">book chapter:verse</span> and press enter to
          search the database.
        </li>
        <li>
          Verses load in chronological order from oldest to most recent
          translations.
        </li>
        <li>Drag and drop verses around to reorder them!</li>
        <li>
          Use the toggle-switches below the search bar to enable or disable what
          tabular data you'd like to see.
        </li>
      </ul>
      <hr />
      <p>
        A website like this would traditionally cover its operating costs with
        ad revenue. However, I've decided that because of its nature I would
        sooner take the website down then plaster it with advertisements. If you
        would like to make a donation to help me cover the operating costs and
        keep this website online I would be eternally grateful.
      </p>
      <a href="https://paypal.me/solascriptura808" target="_blank">PayPal</a>
      <a href="https://www.patreon.com/solascriptura808" target="_blank"
        >Patreon</a
      >
      <a class="a" routerLink="/bitcoin">Bitcoin</a>
      <p>(or if you just want to say hi)</p>
      <a href="mailto:hello.solascriptura@gmail.com" target="_blank"
        >Email Me</a
      >
      <hr />
    </div>
  </div>

  <div class="padr"></div>
</div>
